Bug 6093 - winbindd: Exceeding 200 client connections, no idle connection found - fix up missing from 3.2 tree
winbindd: Exceeding 200 client connections, no idle connection found - fix up...
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Winbind
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 00:05 UTC by Marcell ZAMBO
Modified: 2009-05-19 06:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcell ZAMBO 2009-02-06 00:05:50 UTC
The following fix, maybe missing from the samba 3.2 tree:
https://bugzilla.samba.org/show_bug.cgi?id=3204


(commit 0e30f6d835016a73e89e3159d827a2703058d34b)
Comment 1 Jeremy Allison 2009-02-06 17:54:51 UTC
These fixes were included in Samba 3.2.8.
Jeremy.
Comment 2 Marcell ZAMBO 2009-02-07 05:11:49 UTC
i think this patch was missed:

diff --git a/source3/lib/util_tdb.c b/source3/lib/util_tdb.c
index bb568bc..8ceaa46 100644
--- a/source3/lib/util_tdb.c
+++ b/source3/lib/util_tdb.c
@@ -64,7 +64,7 @@ static int tdb_chainlock_with_timeout_internal( TDB_CONTEXT
*tdb, TDB_DATA key,
                alarm(0);
                tdb_setalarm_sigptr(tdb, NULL);
                CatchSignal(SIGALRM, SIGNAL_CAST SIG_IGN);
-               if (gotalarm) {
+               if (gotalarm && (ret == -1)) {
                        DEBUG(0,("tdb_chainlock_with_timeout_internal: alarm
(%u) timed out for key
%s in tdb %s\n",
Comment 3 Jeremy Allison 2009-02-07 11:20:15 UTC
No, I checked the released source code of 3.2.8 and that fix is in there.
Jeremy.
Comment 4 Marcell ZAMBO 2009-02-08 04:03:32 UTC
Ok, I just looking in the patch file (http://us3.samba.org/samba/ftp/patches/patch-3.2.7-3.2.8.diffs.gz), and the i didn't find it.

thx
Comment 5 Karolin Seeger 2009-05-19 06:53:18 UTC
Closing out bug report.

Please re-open if it's still an issue.